
/* styles.css */
body {
    margin: 0;
    font-family: Arial, sans-serif;
    background-color: #faf3e9;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: start;
    min-height: 100vh;
    overflow-x: hidden;
}

header {
    width: 100px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 20px;
    /*position: fixed;*/
    top: 0;
    left: 0;
    background-color: #faf3e9;
    z-index: 100;
}

.menu-toggle {
    cursor: pointer;
    padding: 10px;
    font-family: Arial, sans-serif;
    font-size: 1em;
    text-transform: uppercase;
    margin-bottom: 10px;
}

.logo {
    height: 150px;
    margin-bottom: 50px;
}

.menu {
    display: none;
    position: absolute;
    background-color: #faf3e9;
    padding: 10px;
    box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.2);
    z-index: 101;
    width: auto;
    min-width: 200px;
}

.menu.active {
    display: block;
}

.menu ul {
    list-style: none;
    padding: 0;
    margin: 0;
}

.menu li {
    padding: 10px;
}

.menu a {
    text-decoration: none;
    color: black;
    font-family: Arial, sans-serif;
    font-size: 0.9em;
    text-transform: uppercase;
    letter-spacing: 0.05em;
}

.menu a:hover {
    text-decoration: underline;
}

.footer {
    font-family: Arial, sans-serif;
    font-size: 0.9em;
    padding: 20px;
    width: 300px;
    background-color: #faf3e9;
    text-align: center;
    margin-top: auto;
    z-index: 11;
}

.address {
    line-height: 1.5;
    letter-spacing: 0.05em;
}

.content {
    width: 50%;
    padding: 20px;
    font-family: Arial, sans-serif;
    font-size: 0.9em;
    line-height: 1.5;
    letter-spacing: 0.05em;
    text-align: justify;
    background-color: transparent;
    /*margin-top: 270px; !* Ensure content starts below fixed header *!*/
    z-index: 10;
    position: relative;
    right: 20%;
}

.side-image {
    position: fixed;
    right: 20px;
    top: 50%; /* Position the image approximately in the middle of the screen */
    transform: translateY(-50%);
    height: auto;
    max-width: 40%;
    z-index: 1; /* Make sure other elements are above the image */
}

.gallery {
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
    justify-content: center;
}

.thumbnail {
    width: calc(33.333% - 20px);
    cursor: pointer;
    transition: transform 0.2s;
}

.thumbnail:hover {
    transform: scale(1.05);
}

.lightbox {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.8);
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 102;
}

.lightbox-img {
    max-width: 90%;
    max-height: 90%;
}

.close {
    position: absolute;
    top: 20px;
    right: 40px;
    color: white;
    font-size: 40px;
    cursor: pointer;
}

.lightbox-navigation {
    position: absolute;
    width: 100%;
    top: 50%;
    display: flex;
    justify-content: space-between;
    color: white;
    font-size: 40px;
    cursor: pointer;
    user-select: none;
}

.prev, .next {
    padding: 0 20px;
}

@media (max-width: 768px) {
    .content {
        width: 80%;
        position: relative;
        padding-left: 10px;
        padding-right: 10px;
        right: 0px;
        text-align: justify;
    }

    header {
        align-items: center;
    }

    .footer {
        position: relative;
        bottom: 0;
    }

    .side-image {
        display: none;
    }
}
